libzypp: zypp::repo::RepoInfoBase::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
zypp::repo::RepoInfoBase::Impl Class Reference

RepoInfoBase data. More...

## Public Member Functions
| Impl ()
| Impl (const std::string &alias_r)
void | setAlias (const std::string &alias_r)

## Public Attributes
TriBool | _enabled
TriBool | _autorefresh
std::string | _alias
std::string | _escaped_alias
RepoVariablesReplacedString | _name
Pathname | _filepath

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

RepoInfoBase data.

Definition at line 34 of file RepoInfoBase.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::repo::RepoInfoBase::Impl::Impl | ( |  | ) |
| inline

Definition at line 36 of file RepoInfoBase.cc.

## ◆ Impl() [2/2]

zypp::repo::RepoInfoBase::Impl::Impl | ( | const std::string & | alias_r | ) |
| inline

Definition at line 41 of file RepoInfoBase.cc.

## Member Function Documentation

## ◆ setAlias()

void zypp::repo::RepoInfoBase::Impl::setAlias | ( | const std::string & | alias_r | ) |
| inline

Definition at line 56 of file RepoInfoBase.cc.

## ◆ clone()

Impl * zypp::repo::RepoInfoBase::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 66 of file RepoInfoBase.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _enabled

TriBool zypp::repo::RepoInfoBase::Impl::_enabled

Definition at line 47 of file RepoInfoBase.cc.

## ◆ _autorefresh

TriBool zypp::repo::RepoInfoBase::Impl::_autorefresh

Definition at line 48 of file RepoInfoBase.cc.

## ◆ _alias

std::string zypp::repo::RepoInfoBase::Impl::_alias

Definition at line 49 of file RepoInfoBase.cc.

## ◆ _escaped_alias

std::string zypp::repo::RepoInfoBase::Impl::_escaped_alias

Definition at line 50 of file RepoInfoBase.cc.

## ◆ _name

RepoVariablesReplacedString zypp::repo::RepoInfoBase::Impl::_name

Definition at line 51 of file RepoInfoBase.cc.

## ◆ _filepath

Pathname zypp::repo::RepoInfoBase::Impl::_filepath

Definition at line 52 of file RepoInfoBase.cc.

The documentation for this class was generated from the following file:

- zypp/repo/RepoInfoBase.cc